apiVersion: v1
kind: Service
metadata:
  annotations:
    kompose.cmd: /usr/local/bin/kompose convert
    kompose.version: 1.19.0 (f63a961c)
  creationTimestamp: null
  labels:
    io.kompose.service: df-maria
  name: df-maria
spec:
  ports:
  - name: "3306"
    port: 3306
    targetPort: 3306
  selector:
    io.kompose.service: df-maria
---
apiVersion: v1
kind: Service
metadata:
  annotations:
    kompose.cmd: /usr/local/bin/kompose convert
    kompose.version: 1.19.0 (f63a961c)
  creationTimestamp: null
  labels:
    io.kompose.service: df-phpmyadmin
  name: df-phpmyadmin
spec:
  ports:
  - name: "80"
    port: 80
    targetPort: 80
  selector:
    io.kompose.service: df-phpmyadmin
status:
  loadBalancer: {}
---
apiVersion: v1
kind: Service
metadata:
  annotations:
    kompose.cmd: /usr/local/bin/kompose convert
    kompose.version: 1.19.0 (f63a961c)
  creationTimestamp: null
  labels:
    io.kompose.service: df-wordpress
  name: df-wordpress
spec:
  ports:
  - name: "80"
    port: 80
    targetPort: 80
  selector:
    io.kompose.service: df-wordpress
status:
  loadBalancer: {}
---
apiVersion: apps/v1
kind: Deployment
metadata:
  annotations:
    kompose.cmd: /usr/local/bin/kompose convert
    kompose.version: 1.19.0 (f63a961c)
  creationTimestamp: null
  labels:
    io.kompose.service: df-maria
  name: df-maria
spec:
  replicas: 1
  selector:
    matchLabels:
      io.kompose.service: df-maria
  strategy:
    type: Recreate
  template:
    metadata:
      annotations:
        kompose.cmd: /usr/local/bin/kompose convert
        kompose.version: 1.19.0 (f63a961c)
      creationTimestamp: null
      labels:
        io.kompose.service: df-maria
    spec:
      containers:
      - env:
        - name: MYSQL_DATABASE
          value: dfmaria
        - name: MYSQL_ROOT_PASSWORD
          value: darkfess
        image: mariadb
        name: df-maria
        ports:
        - containerPort: 3306
        resources: {}
        volumeMounts:
        - mountPath: /var/lib/mysql
          name: df-mariadata
      restartPolicy: Always
      volumes:
      - name: df-mariadata
        persistentVolumeClaim:
          claimName: df-mariadata
status: {}
---
apiVersion: apps/v1
kind: Deployment
metadata:
  annotations:
    kompose.cmd: /usr/local/bin/kompose convert
    kompose.version: 1.19.0 (f63a961c)
  creationTimestamp: null
  labels:
    io.kompose.service: df-phpmyadmin
  name: df-phpmyadmin
spec:
  replicas: 1
  selector:
    matchLabels:
      io.kompose.service: df-phpmyadmin
  strategy: {}
  template:
    metadata:
      annotations:
        kompose.cmd: /usr/local/bin/kompose convert
        kompose.version: 1.19.0 (f63a961c)
      creationTimestamp: null
      labels:
        io.kompose.service: df-phpmyadmin
    spec:
      containers:
      - env:
        - name: PMA_HOST
          value: df-maria.default.svc.cluster.local
        image: phpmyadmin/phpmyadmin
        name: df-phpmyadmin
        ports:
        - containerPort: 80
        resources: {}
      restartPolicy: Always
status: {}
---
apiVersion: apps/v1
kind: Deployment
metadata:
  annotations:
    kompose.cmd: /usr/local/bin/kompose convert
    kompose.version: 1.19.0 (f63a961c)
  creationTimestamp: null
  labels:
    io.kompose.service: df-wordpress
  name: df-wordpress
spec:
  replicas: 1
  selector:
    matchLabels:
      io.kompose.service: df-wordpress
  strategy:
    type: Recreate
  template:
    metadata:
      annotations:
        kompose.cmd: /usr/local/bin/kompose convert
        kompose.version: 1.19.0 (f63a961c)
      creationTimestamp: null
      labels:
        io.kompose.service: df-wordpress
    spec:
      containers:
      - env:
        - name: WORDPRESS_DB_HOST
          value: df-maria.default.svc.cluster.local:3306
        - name: WORDPRESS_DB_NAME
          value: dfmaria
        - name: WORDPRESS_DB_PASSWORD
          value: darkfess
        - name: WORDPRESS_DB_USER
          value: root
        image: wordpress
        name: df-wordpress
        ports:
        - containerPort: 80
        resources: {}
        volumeMounts:
        - mountPath: /var/www/html/wp-content
          name: wp-content
      restartPolicy: Always
      volumes:
      - name: wp-content
        persistentVolumeClaim:
          claimName: wp-content
status: {}
---
apiVersion: v1
kind: PersistentVolumeClaim
metadata:
  creationTimestamp: null
  labels:
    io.kompose.service: df-mariadata
  name: df-mariadata
spec:
  accessModes:
  - ReadWriteOnce
  resources:
    requests:
      storage: 100Mi
status: {}
---
apiVersion: v1
kind: PersistentVolumeClaim
metadata:
  creationTimestamp: null
  labels:
    io.kompose.service: wp-content
  name: wp-content
spec:
  accessModes:
  - ReadWriteOnce
  resources:
    requests:
      storage: 100Mi
status: {}
